Subject: bug#11948: 24.1.50; word-wrap should allow wrapping at all breaking space characters, not just space and tab

From: Eli Zaretskii <[email-masked]>
Date: Fri, 22 Apr 2022 15:56:17 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked], Eli Zaretskii <[email-masked]>
> Date: Fri, 22 Apr 2022 14:47:23 +0200
> 
> Reuben Thomas <[email-masked]> writes:
> 
> > I noticed this when in visual-line-mode, and it failed to wrap at an em
> > space (U+2003), but of course there are lotsof other breaking space
> > characters.
> 
> Eli, now that we have word-wrap-by-category, wouldn't this be easy to
> implement?  I.e., do 
> 
> (modify-category-entry #x2003 ?|)
> 
> for all characters of general-category Zs in character.el?  Or would
> that have other negative consequences?

Yes, now people who want what the OP wanted should be able to have
that easily.  But I would hesitate making that the default, instead
leaving it to user customizations.  We could have a minor mode to do
that, though, so that users who want this won't need to customize
individually each character's category set.

Of course, the harder part here is to decide which of the Zs
characters will allow word-wrap on them.  I don't think all of them
should.